<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Vehicle </strong>
        </h3>
      </div>

      <div class="ibox-content">
        <form (ngSubmit)="onSubmit(f)" autocomplete="off" #f="ngForm" class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">Registration number<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="registration_number" placeholder=" Registration number"
                #registration_number="ngModel" [(ngModel)]="vehicle.registration_number" class="form-control" required
                maxlength="20">
              <div class="error-msg"
                *ngIf="registration_number.invalid && (registration_number.dirty || registration_number.touched || f.submitted)">
                <div *ngIf="registration_number.errors.required">Registration number is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Licence number <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="licence_number" placeholder=" Licence number" #licence_number="ngModel"
                [(ngModel)]="vehicle.licence_number" class="form-control" required maxlength="20">
              <div class="error-msg"
                *ngIf="licence_number.invalid && (licence_number.dirty || licence_number.touched || f.submitted)">
                <div *ngIf="licence_number.errors.required">Licence number is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Display name<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="display_name" placeholder=" Display name" #display_name="ngModel"
                [(ngModel)]="vehicle.display_name" class="form-control" required maxlength="20">
              <div class="error-msg"
                *ngIf="display_name.invalid && (display_name.dirty || display_name.touched || f.submitted)">
                <div *ngIf="display_name.errors.required"> Display name is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle identity number <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="vehicle_identity_number" #vehicle_identity_number="ngModel"
                placeholder=" Vehicle identity number" [(ngModel)]="vehicle.vehicle_identity_number"
                class="form-control" required maxlength="20">
              <div class="error-msg"
                *ngIf="vehicle_identity_number.invalid && (vehicle_identity_number.dirty || vehicle_identity_number.touched || f.submitted)">
                <div *ngIf="vehicle_identity_number.errors.required"> Vehicle identity number is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Maintenance status <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder=" Maintenance status" name="in_maintenance"
                #in_maintenance="ngModel" [(ngModel)]="vehicle.in_maintenance" class="form-control" required>
                <mat-option value="true">Yes</mat-option>
                <mat-option value="false">No</mat-option>
              </mat-select>
              <div class="error-msg"
                *ngIf="in_maintenance.invalid && (in_maintenance.dirty || in_maintenance.touched || f.submitted)">
                <div *ngIf="in_maintenance.errors.required">Maintenace status is required.</div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Insurance number (Policy No) <i aria-hidden="true" class="mandatory"></i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="vehicle_identity_number" #vehicle_policy_number="ngModel"
                placeholder=" Insurance number" [(ngModel)]="vehicle.vehicle_policy_number" class="form-control"
                maxlength="20">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Insurance expiration date </label>
            <div class="col-sm-10 form-input">
              <my-date-picker name="insurance_expiration_date" #insurance_expiration_date="ngModel"
                placeholder=" Insurance expiration date" [(ngModel)]="vehicle.insurance_expiration_date"
                [options]="myDatePickerExpiryOptions"></my-date-picker>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle model <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder=" Vehicle model" name="vehicle_model"
                #vehicle_model="ngModel" [(ngModel)]="vehicle.vehicle_model" class="form-control" required>
                <mat-option [value]="vehicleModel._id" *ngFor="let vehicleModel of vehicleModelData">
                  {{vehicleModel.name}}
                </mat-option>
              </mat-select>
              <div class="error-msg"
                *ngIf="vehicle_model.invalid && (vehicle_model.dirty || vehicle_model.touched || f.submitted)">
                <div *ngIf="vehicle_model.errors.required">Vehicle model is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Plate left text <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="plate_left_text" placeholder=" Plate left text" #plate_left_text="ngModel"
                [(ngModel)]="vehicle.plate_left_text" class="form-control" required maxlength="15">
              <div class="error-msg"
                *ngIf="plate_left_text.invalid && (plate_left_text.dirty || plate_left_text.touched || f.submitted)">
                <div *ngIf="plate_left_text.errors.required">Plate left text is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Plate middle text<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="plate_middle_text" placeholder=" Plate middle text" #plate_middle_text="ngModel"
                [(ngModel)]="vehicle.plate_middle_text" class="form-control" required maxlength="15">
              <div class="error-msg"
                *ngIf="plate_middle_text.invalid && (plate_middle_text.dirty || plate_middle_text.touched || f.submitted)">
                <div *ngIf="plate_middle_text.errors.required">Plate Middle Text is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Plate right text <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="plate_right_text" placeholder=" Plate right text" #plate_right_text="ngModel"
                [(ngModel)]="vehicle.plate_right_text" class="form-control" required maxlength="15">
              <div class="error-msg"
                *ngIf="plate_right_text.invalid && (plate_right_text.dirty || plate_right_text.touched || f.submitted)">
                <div *ngIf="plate_right_text.errors.required">Plate right text is required.</div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Plate number <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="plate_number" disabled placeholder="Plate number" #plate_number="ngModel"
                [(ngModel)]="vehicle.plate_left_text + ' '+ vehicle.plate_middle_text + ' '+ vehicle.plate_right_text"
                class="form-control" required maxlength="25">
              <div class="error-msg"
                *ngIf="plate_number.invalid && (plate_number.dirty || plate_number.touched || f.submitted)">
                <div *ngIf="plate_number.errors.required">Plate number is required.</div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Credit Card Machine<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" name="credit" placeholder="Credit Card" #credit_card="ngModel"
                [(ngModel)]="vehicle.credit_card" class="form-control" required maxlength="16">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle expiration date </label>
            <div class="col-sm-10 form-input">
              <my-date-picker name="vehicle_expiry_date" #vehicle_expiry_date="ngModel"
                placeholder=" Insurance expiration date" [(ngModel)]="vehicle.vehicle_expiry_date"
                [options]="myDatePickerExpiryOptions"></my-date-picker>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Plate type</label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder=" Plate type" name="plate_type" #plate_type="ngModel"
                [(ngModel)]="vehicle.plate_type" class="form-control">
                <mat-option value="private">Private</mat-option>
                <mat-option value="taxi">Taxi</mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle category</label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Vehicle category" name="category_id" #category_id="ngModel"
                [(ngModel)]="vehicle.category_id" class="form-control" (ngModelChange)="ShowSubCategories($event)">
                <mat-option [value]="category._id" *ngFor="let category of categoriesData">
                  {{category.category}}
                </mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle sub category </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Vehicle sub category" name="sub_category_id"
                #sub_category_id="ngModel" [(ngModel)]="vehicle.sub_category_id" class="form-control">
                <mat-option [value]="category._id" *ngFor="let category of categoryData">
                  {{category.sub_category}}
                </mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Register with WASL </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder=" Register with WASL" name="register_with_wasl"
                #register_with_wasl="ngModel" [(ngModel)]="vehicle.register_with_wasl" class="form-control">
                <mat-option value="true">Yes</mat-option>
                <mat-option value="false">No</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Send to RTA</label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder=" Send to RTA" name="send_to_rta" #send_to_rta="ngModel"
                [(ngModel)]="vehicle.send_to_rta" class="form-control">
                <mat-option value="true">Yes</mat-option>
                <mat-option value="false">No</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle color<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="vehicle_color" placeholder="Vehicle colour" #vehicle_color="ngModel"
                [(ngModel)]="vehicle.vehicle_color" class="form-control" required maxlength="15">
              <div class="error-msg"
                *ngIf="vehicle_color.invalid && (vehicle_color.dirty || vehicle_color.touched || f.submitted)">
                <div *ngIf="vehicle_color.errors.required">Vehicle color is required.</div>
              </div>
            </div>
          </div>
          <div class="form-group" *ngIf='dtc'>
            <label class="col-sm-2 control-label">Companies <i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Companies" name="company" #company="ngModel"
                [(ngModel)]="vehicle.company" class="form-control" required>
                <mat-option *ngFor="let group of CompanyData" [value]="group._id">
                  {{ group.company_name }}</mat-option>
              </mat-select>
              <div class="error-msg"
                *ngIf="vehicle.company.invalid && (vehicle.company.dirty || vehicle.company.touched || f.submitted)">
                <div *ngIf="vehicle.company.errors.required">Company is required.</div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save
              </button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/fleet/vehicles']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>